API Explorer 1 endpoints

Get Customer KYC Checks

GET /obp/v7.0.0/customers/CUSTOMER_ID/kyc_checks

OBPv2.0.0-getKycChecks Roles: CanGetAnyKycChecks KYCCustomer

Get KYC checks for the Customer specified by CUSTOMER_ID.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

CUSTOMER_ID: 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh

JSON response body fields (11)
bank_id
gh.29.uk
checks
comments
customer_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
customer_number
5987953
date
2020-01-27
how
id
d8839721-ad8f-45dd-9f78-2080414b93f9
satisfied
false
staff_name
staff_user_id
Example success response
{
  "checks": [
    {
      "bank_id": "gh.29.uk",
      "customer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
      "id": "PlaceholderString",
      "customer_number": "5987953",
      "date": "1100-01-01T00:00:00Z",
      "how": "PlaceholderString",
      "staff_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
      "staff_name": "PlaceholderString",
      "satisfied": true,
      "comments": "PlaceholderString"
    }
  ]
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-30046: Customer not found. Please specify a valid value for CUSTOMER_ID.
  • OBP-50000: Unknown Error.
  • OBP-20006: User is missing one or more roles:
Implemented by OBPv2.0.0 getKycChecks Originally /obp/v2.0.0/customers/CUSTOMER_ID/kyc_checks